6.0.0-git
2019-03-18

[#6022] Multi-pages of tiff image was not accept by ansel.
Summary Multi-pages of tiff image was not accept by ansel.
Queue Ansel
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester david (at) tmv (dot) gov (dot) tw
Created 2007-12-20 (4106 days ago)
Due
Updated 2010-02-16 (3317 days ago)
Assigned 2007-12-20 (4106 days ago)
Resolved 2010-02-16 (3317 days ago)
Milestone 2
Patch No

History
2010-02-16 21:44:15 Michael Rubinsky Comment #11
State ⇒ Resolved
Reply to this comment
It only took me 26 months to get to this....but this is implemented 
now in Git for Ansel 2
2010-02-16 21:41:22 CVS Commit Comment #10 Reply to this comment
Changes have been made in Git for this ticket:

Support for multipage images.
Adding a multipage TIFF image will now create a new subgallery in the current
gallery, with each page added as an image to that gallery. This completes
Request: #6022

http://git.horde.org/diff.php/ansel/lib/Gallery.php?rt=horde-git&r1=e11e81f1b0c487f511af7ff9e2944c067855c63c&r2=0fa67a14433c5f7488ca0da5213df290e8c128a7
http://git.horde.org/diff.php/ansel/lib/Image.php?rt=horde-git&r1=a328430854798ecb5ac9e330899a264575e13aba&r2=0fa67a14433c5f7488ca0da5213df290e8c128a7
2010-02-14 16:53:42 CVS Commit Comment #9 Reply to this comment
Changes have been made in Git for this ticket:

Start work on implementing an Iterator for Horde_Image for supporting 
multi-page images.
Add Iterator interface to Horde_Image_Base and implement it in 
Horde_Image_Imagick. Other
backend support to come.  Allows iterating through all images in a 
multi-page image such
as TIFF or animatted GIFs

This also goes towards a solution for Request: 6022

http://git.horde.org/diff.php/framework/Image/lib/Horde/Image/Base.php?rt=horde-git&r1=a061a21484483b2af2ba35b57c2a3dd8675cd65d&r2=9191d616a5a2526646eb3a15e68c553deab8ff58
http://git.horde.org/diff.php/framework/Image/lib/Horde/Image/Imagick.php?rt=horde-git&r1=a061a21484483b2af2ba35b57c2a3dd8675cd65d&r2=9191d616a5a2526646eb3a15e68c553deab8ff58
2009-08-02 13:29:59 Michael Rubinsky Version ⇒ Git master
 
2008-12-24 14:35:44 Michael Rubinsky Comment #8
Milestone ⇒ 2
Reply to this comment
This will be dealt with when Horde_Image is refactored for Horde 4 / Ansel 2.0
2008-03-31 00:49:23 david (at) tmv (dot) gov (dot) tw New Attachment: 3pages.tif Download
 
2008-03-31 00:48:28 david (at) tmv (dot) gov (dot) tw New Attachment: 2pages.tif Download
 
2008-03-29 17:14:07 Michael Rubinsky Comment #7 Reply to this comment
I plan on looking at this soon, at least enough to know exactly what 
support will be required in Horde_Image before 3.2 Stable is released. 
  Can you upload a *small* multipage tiff image as an example I can 
work with?


2007-12-21 16:24:15 Michael Rubinsky Comment #6
State ⇒ Accepted
Reply to this comment
That sounds reasonable....though this will most likely also require 
changes to the Horde_Image package as well.
2007-12-21 00:52:42 david (at) tmv (dot) gov (dot) tw Comment #5 Reply to this comment
From the looks of your screen shots, it accepted *one* of the
pages...were you expecting an additional image to be added to the
gallery for each page?
The multi-page tiff image were coming from fax to mail. If ansel can 
support this function,i think automaticly creat sub-gallery while 
upload multi-page tiff file for each may be good for us.


2007-12-20 19:52:09 Chuck Hagenbuch Comment #4
Type ⇒ Enhancement
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
It would be a "nice to have" to support this, but this is not a bug. 
Definitely more of an advanced/document management usage of Ansel than 
a photo gallery.
2007-12-20 17:58:01 Jan Schneider Comment #3 Reply to this comment
Another option would be to attach all pages to a single image, but 
that might lead to really unusable, long images.
2007-12-20 17:44:20 Michael Rubinsky Comment #2 Reply to this comment
From the looks of your screen shots, it accepted *one* of the 
pages...were you expecting an additional image to be added to the 
gallery for each page?  Offhand, I know that imagemagick can support 
multi page tiffs -> individual jpeg conversion, not sure about gd 
library.  I can take a look....but is this something we really want to 
support in Ansel?  The TIFF specification even states that the multi 
page functionality would likely be ignored by non-document management 
apps.  Don't feel strongly either way though...
2007-12-20 09:30:03 Jan Schneider Assigned to Michael Rubinsky
State ⇒ Assigned
 
2007-12-20 08:23:56 david (at) tmv (dot) gov (dot) tw Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Multi-pages of tiff image was not accept by ansel.
Queue ⇒ Ansel
Reply to this comment
Multi-pages of tiff image did not successfully upload in ansel. Single 
page is ok.

Example file :

Two pages  http://www.david.tmv.gov.tw/tmp/two_page.tif

One page    http://www.david.tmv.gov.tw/tmp/one_page.tif

Saved Queries